version: "3.7"

networks:
  mother:
    external: true

services:
    poste:
      image: registry.vnfco.ir/library/analogic/poste.io:latest
      environment:
        - HTTPS=OFF
        - HTTP_PORT=9090
        - DISABLE_CLAMAV=TRUE
        - DISABLE_RSPAMD=TRUE
        - TZ=Asia/Tehran
        - VIRTUAL_HOST=mail.igarson.app
        - LETSENCRYPT_EMAIL=admin@igarson.app
        - LETSENCRYPT_HOST=mail.igarson.app
      deploy:
        update_config:
          parallelism: 1
          delay: 10s
          order: start-first
        restart_policy:
          condition: any
          delay: 5s
          window: 120s 
        resources:
          limits:
            cpus: '0.5'
            memory: 200m
        replicas: 1
        mode: replicated
        placement:
          constraints:
            - node.role == worker
      volumes:
        - /etc/localtime:/etc/localtime:ro
        - /volume/poste/data:/data
      ports:
        - "25:25"
        - "110:110"
        - "143:143"
        - "587:587"
        - "993:993"
        - "995:995"
        - "4190:4190"
        - "9090:9090"
      networks:
        - mother